"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.withEncryption = void 0;

var _lodash = _interopRequireDefault(require("lodash.partial"));

var _withAdapter = require("./with-adapter");

var _withSecretsManager = require("./with-secrets-manager");

var _allowSideEffects = require("./allow-side-effects");

var _startSideEffectsFrom = require("./start-side-effects-from");

var _makeAssertions = require("./make-assertions");

var withEncryption = function withEncryption(context, encryption) {
  if (context.environment.isExecuted()) {
    throw Error("Encryption cannot be assigned if the test was executed.");
  }

  if (context.encryption != null) {
    throw Error("Saga encryption already assigned.");
  }

  context.encryption = encryption;
  return Object.assign((0, _makeAssertions.makeAssertions)(context), {
    withAdapter: (0, _lodash["default"])(_withAdapter.withAdapter, context),
    withSecretsManager: (0, _lodash["default"])(_withSecretsManager.withSecretsManager, context),
    allowSideEffects: (0, _lodash["default"])(_allowSideEffects.allowSideEffects, context),
    startSideEffectsFrom: (0, _lodash["default"])(_startSideEffectsFrom.startSideEffectsFrom, context)
  });
};

exports.withEncryption = withEncryption;
//# sourceMappingURL=with-encryption.js.map