import { SerializableMap } from '@resolve-js/core';
import { AggregateContext, CommandTestResult, OmitFirstArgument } from '../../types';
import { as } from './as';
import { shouldProduceEvent } from './should-produce-event';
import { shouldThrow } from './should-throw';
import { setSecretsManager, withSecretsManager } from './with-secrets-manager';
export declare type AssertionsNode = {
    shouldProduceEvent: OmitFirstArgument<typeof shouldProduceEvent>;
    shouldThrow: OmitFirstArgument<typeof shouldThrow>;
};
export declare type CommandNode = {
    as: OmitFirstArgument<typeof as>;
    withSecretsManager: OmitFirstArgument<typeof withSecretsManager>;
    setSecretsManager: OmitFirstArgument<typeof setSecretsManager>;
} & AssertionsNode & Promise<CommandTestResult>;
export declare const command: (context: AggregateContext, name: string, payload?: SerializableMap | undefined) => CommandNode;
